<?php

namespace Modules\Inventory\Enums;

enum CategoryTypeEnum: string
{
    case INVENTORY = 'inventory'; // stock + COGS
    case EXPENSE = 'expense'; // direct expense
    case ASSET = 'asset'; // fixed asset

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
